{****************************************************************************
*                                                                           *
*  TextSavr.pas: Plug-in animation module for SSaveDem.pas                  *
*                                                                           *
*  Rev. 0.1   19.4.93   MK  IR                                              *
*                                                                           *
****************************************************************************}

{ Name for this Screen Saver - shows up in Control Panel: }
{$D SCRNSAVE TextOut }

const AppName: PChar = 'Screen Saver.TextOut' ;

type
  PMySaverWin = ^TMySaverWin;
  TMySaverWin = Object(TScSaverWin)
    procedure DoTheShow; virtual;
  end;

{****************************************************************************
*                                                                           *
*              T M y S a v e r W i n . D o T h e S h o w                    *
*                                                                           *
*  Displays a line of text. (You can use this to test how "burn-in-safe"    *
*  your monitor really is <g>.)                                             *
*                                                                           *
****************************************************************************}

procedure TMySaverWin.DoTheShow ;

var TheDC: hDC;

const TheText: PChar = 'I''m a Screen Saver - believe it or not!';

begin
TheDC := TestHandle (GetDC (hWindow));
TextOut (TheDC, 100,100, TheText, lstrlen (TheText));
ReleaseDC (hWindow, TheDC);
end;


